layer_spatial_dropout_1d {keras} | R Documentation

## Spatial 1D version of Dropout.

### Description

This version performs the same function as Dropout, however it drops entire 1D feature maps instead of individual elements. If adjacent frames within feature maps are strongly correlated (as is normally the case in early convolution layers) then regular dropout will not regularize the activations and will otherwise just result in an effective learning rate decrease. In this case, `layer_spatial_dropout_1d` will help promote independence between feature maps and should be used instead.

### Usage

    layer_spatial_dropout_1d(object, rate, batch_size = NULL, name = NULL,
      trainable = NULL, weights = NULL)

### Arguments

`object` | Model or layer object
`rate` | float between 0 and 1. Fraction of the input units to drop.
`batch_size` | Fixed batch size for layer
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### Input shape

3D tensor with shape: `(samples, timesteps, channels)`

### Output shape

Same as input

### References

- Efficient Object Localization Using Convolutional Networks

### See Also

Other dropout layers: `layer_dropout`, `layer_spatial_dropout_2d`, `layer_spatial_dropout_3d`

[Package keras version 2.2.4 Index]